<?php
$idalurperkara=$this->tanggalhelper->getIDAlurPerkara($idperkara);
$edit=false;
if($this->authorization->HasRuleAddMediasi($idperkara)){
	$edit=True;
}
$jmldata=$tab_mediasi->num_rows();
$con=1;
if($jmldata>0){
	echo'<div class="">';
	echo'<table id="infoPerkara" style="font-size:14px;width:100%;" border="0">';
	echo'<col width="15%">';
	echo'<col width="50%">';
	echo'<col width="35%">';
	echo'<tbody>';
	foreach($tab_mediasi->result() as $row){
		$enc=base64_encode($this->encrypt->encode($row->perkara_id));
		$encmediasi=base64_encode($this->encrypt->encode($row->mediasi_id));
		echo'<tr>';
		echo'<td colspan="3" class="header">';
		if($con==1){$jnsmed="Mediasi";}else{$jnsmed="Perdamaian Pada Tahap Pemeriksaan Perkara";}
		$encmed=base64_encode($this->encrypt->encode($jnsmed));
		echo'</td>';
		echo'<tr>';
		echo'<td colspan="3" class="divider">Data Penetapan'.$jnsmed.'</td>';
		echo'</tr>';
		echo'<tr>';
		echo'<td id="first-child">Tgl. Penetapan Mediator</td>';
		echo'<td>'.$this->tanggalhelper->convertDayDate($row->penetapan_penunjukan_mediator).'</td>';
		echo'<td style="text-align:right;">';
		if ($this->authorization->HasRuleHakimPanitera($idperkara)){
			if($con==$jmldata && $edit){
				echo'[ <a href="#" onClick="popup_form(\''.base_url("edit_penetapan_mediasi/".$enc."/".base64_encode($this->encrypt->encode($row->mediasi_id)).'/'.$encmed.'/'.$con).'\')">Edit Penetapan '.$jnsmed.'</a> ]';
			}
		
		echo'[ <a class="cl-effect-1" href="'.base_url('c_template_mediasi/cetak').'/'.$enc.'/I_03/0/'.base64_encode($this->encrypt->encode($row->mediasi_id)).'/'.$row->jenis_mediasi.'">Cetak Template Penetapan</a> ]';
		}
		echo'</td>';
		echo'</tr>';
		if($con==1){
			echo'<tr>';
				echo'<td id="first-child">Jenis Penetapan Mediator</td>';
				echo'<td colspan="2">';
				foreach($data_dukung_mediasi->result() as $var){
					if($var->identifier==='#pilih_mediator#'){
						$uraian=$var->uraian;
					}
				}
				switch ($uraian) {
					case 'sepakat memilih Mediator':
					$result='Para pihak sepakat memilih mediator';
					break;
					case 'sepakat untuk menyerahkan kepada Majelis Hakim untuk menunjuk Mediator dari Daftar Mediator':
					$result='Majelis Hakim Menunjuk Mediator';
					break;
					default:
					$result='-';
					break;
				}
				echo $result;
				echo'</td>';
			echo'</tr>';
		}
		echo'<tr>';
			echo'<td id="first-child">No. Penetapan Mediator</td>';
			echo'<td colspan="2">';
			if (!empty($row->nomor_sk_penetapan_mediator)){
				print $row->nomor_sk_penetapan_mediator;
			}else{
				print "-";
			}
			echo'</td>';
		echo'</tr>';
		echo'<tr>';
		echo'<td id="first-child">Mediator</td>';
		echo'<td colspan="2">';
		echo'<div class="cssTable" style="">
				<table id="tableinfo" style="margin:0px;padding:0px;">
				<col style="width:5%">
				<col style="width:75%">
				<col style="width:20%">
				<tbody>
					<tr>
					<td>No</td>
					<td>Nama</td>
					<td>Status Mediator</td>
					</tr>';
					$jumlah         = substr_count($row->mediator_text,"<br/>");
					$mediator_text  = explode("<br/>",$row->mediator_text);
					$status         = explode(",",$row->status_mediator);
					$total          = $jumlah+1;
					for($i=0; $i<$total; $i++){
						$no = $i+1;
						if($status[$i]=='H'){
							$status_text='Hakim';
						}else if($status[$i]=='N'){
							$status_text='Non-Hakim';
						}else if($status[$i]=='P'){
							$status_text='Pegawai';
						}else{
							$status_text="-";
						}if($mediator_text!=''){
							echo "<tr>";
							echo "<td style='text-align:center; vertical-align:top'>".$no."</td>";
							echo "<td style='text-align:left; vertical-align:top;'>".substr_replace("<br/>",$mediator_text[$i]."<br>",0)."</td>";
							echo "<td style='text-align:left; vertical-align:top'>".$status_text."</td>";
							echo "<tr>";
						}else{
							echo "<tr>";
							echo "<td style='text-align:center' colspan='3'>Data tidak ditemukan</td>";
							echo "<tr>";
						}
					}
				echo'</tbody>
				</table>
			</td>
			</tr>';
		echo'<tr>
			<td id="first-child">Tgl. Mulai Mediasi</td>
			<td colspan="2">'.$this->tanggalhelper->convertDayDate($row->dimulai_mediasi).'(Sesuai Tanggal Penetapan Mediator)</td>
			</tr>
			<tr><td colspan="3" class="divider">Data Jadwal '.$jnsmed.'</td></tr>
			<tr><td id="first-child">Jadwal Mediasi</td>    
			<td colspan="2" style="">
			<div class="cssTable" style="">
			<table id="tableinfo" style="margin:0px;padding:0px;">
				<col style="width:5%">
				<col>
				<col>
				<col>';
				if($this->authorization->HasRuleHakimPanitera($idperkara) OR $this->authorization->HasRuleCetakRelaasSidang($idperkara)){
					echo '<col style="width:200px">';
				}
				if(empty($row->tgl_laporan_mediator)){
					if($edit){
						echo '<col style="width:100px">';
						}
					}
				echo'<tbody>
				<tr>
				<td>No</td>
				<td>Tanggal</td>
				<td>Dihadiri Oleh</td>
				<td>Tempat</td>';
				if($this->authorization->HasRuleHakimPanitera($idperkara) OR $this->authorization->HasRuleCetakRelaasSidang($idperkara)){
					echo '<td>Cetak Dokumen</td>';
				}
				if(empty($row->tgl_laporan_mediator)){
					if($edit){
						echo '<td></td>';
					}
				}
				echo'</tr>';
					$jadwalmediasi=$listjadwalmediasi['jadwalmediasi'.$con];
					$urutan=1;
					foreach ($jadwalmediasi as $rowx){
						$encjadwalmediasi=base64_encode($this->encrypt->encode($rowx->id));
						$enctanggalmediasi=base64_encode($this->encrypt->encode($this->tanggalhelper->convertToInputDate($rowx->tanggal_mediasi)));
						if($rowx->dihadiri_oleh==1){
							$hadir='Semua Pihak';
						}elseif($rowx->dihadiri_oleh==2){
							$hadir='Penggugat Saja';
						}elseif($rowx->dihadiri_oleh==3){
							$hadir='Tergugat Saja';
						}elseif($rowx->dihadiri_oleh==4){
							$hadir='Semua Pihak Tidak Hadir';
						}else{
							$hadir='<font style="color:red">Kehadiran pihak belum diinput<br/>(Edit untuk menampilkan link Tunda)</font>';
						}
						echo'<tr>
						<td style="text-align:center">'.$urutan.'</td>
						<td style="text-align:center">'.$this->tanggalhelper->convertDayDate($rowx->tanggal_mediasi).'</td>
						<td style="text-align:center">'.$hadir.'</td>
						<td style="text-align:center">'.$rowx->tempat.'</td>';
						if($this->authorization->HasRuleHakimPanitera($idperkara) OR $this->authorization->HasRuleCetakRelaasSidang($idperkara)){
						echo '<td>';						
							echo '<span class="custom-dropdown custom-dropdown--emerald">';
							echo '<select id="cetak_mediasi" onchange=pilih_cetak_mediasi(this) style="width:150px;z-index:99999" class="custom-dropdown__select custom-dropdown__select--white">';
							echo '<option value="1">Pilih Dokumen</option>';							
							   echo '<option value="'.base_url("c_template_mediasi/cetak/".$enc."/I_07")."/".$encjadwalmediasi.'">Blanko Jadwal Mediasi</option>';
							   echo '<option value="'.base_url("c_template_mediasi/popup_relaas_mediasi/".$enc."/".$encjadwalmediasi."/P").'">Relaas Panggilan Mediasi Kepada Pengugat</option>';
							   echo '<option value="'.base_url("c_template_mediasi/popup_relaas_mediasi/".$enc."/".$encjadwalmediasi."/T").'">Relaas Panggilan Mediasi Kepada Tergugat</option>';
							echo '</select>';
							echo '</span>';						
						echo '</td>';
						}
						if(empty($row->tgl_laporan_mediator)){
							if($edit){
								if ($urutan==count($jadwalmediasi)){
									echo'<td style="text-align:center">
									<a href="#" onClick="popup_form(\''.base_url('edit_info_jadwal_mediasi/'.$enc.'/'.$encmediasi.'/'.$encjadwalmediasi.'/'.$encmed).'\')">Edit';
									if($rowx->dihadiri_oleh!='' || $rowx->dihadiri_oleh!='' ||$rowx->dihadiri_oleh!=0){
									echo'</a>|<a href="#" onClick="popup_form(\''.base_url('tunda_info_jadwal_mediasi/'.$enc.'/'.$encmediasi.'/'.$encjadwalmediasi.'/'.$encmed).'\')">Tunda</a>';
									}
							echo'</td>';
								}else{
								echo '<td style="text-align:center"></td>';
								}
							}
						}
						echo'</tr>';
						$urutan++;
					}
			echo'</tbody>
			</table>
			</div>                
			</td>
			</tr>
			<tr><td colspan="3" class="divider">Data Hasil '.$jnsmed.'</td></tr>
			<tr><td id="first-child">Tgl. Hasil Mediasi</td>
			<td>';
				if(!empty($row->keputusan_mediasi)){
					echo $this->tanggalhelper->convertDayDate($row->keputusan_mediasi);
					echo " (Sesuai Tanggal Jadwal Mediasi Terakhir)";
				}else{
					echo "-";
				}
			echo'</td>
			<td style="text-align:right;">';
			if ($this->authorization->HasRuleHakimPanitera($idperkara)){
				if($con==$jmldata && $edit){
					if($rowx->dihadiri_oleh!=''||$rowx->dihadiri_oleh!=NULL){
						echo'[ <a href="#" onClick="popup_form(\''.base_url('edit_hasil_mediasi/'.$enc.'/'.base64_encode($this->encrypt->encode($row->mediasi_id)).'/'.$encmed.'/'.$con).'\')">Edit Hasil '.$jnsmed.'</a> ]';
					}
				}
			}
			echo'</td>
			</tr>
			<tr><td id="first-child">Tgl. Laporan Mediator</td>
			<td colspan="2">'.$this->tanggalhelper->convertDayDate($row->tgl_laporan_mediator).'</td>
			</tr>
			<tr>
			<td id="first-child">Hasil Mediasi</td>
			<td colspan="2">';
				$hasil_med=$row->hasil_mediasi;
				if($hasil_med=='Y1'){
					echo '<b>Berhasil Dengan Akta Perdamaian</b>';
				}elseif($hasil_med=='Y2'){
					echo '<b>Berhasil Dengan Pencabutan</b>';
				}elseif($hasil_med=='Y'){
					echo '<b>Berhasil</b>';
				}elseif ($hasil_med=='T'){
					echo '<b>Tidak Berhasil</b>';
				}elseif ($hasil_med=='S'){
					echo '<b>Berhasil Sebagian</b>';
				}elseif ($hasil_med=='D'){
					echo '<b>Tidak Dapat Dilaksanakan</b>';
				}else{
					echo "-";
				}                    
			echo'</td>
			</tr>';
			if(!empty($row->tgl_kesepakatan_perdamaian)){
				echo '<tr>';
				echo '<td id="first-child">Tgl Kesepakatan Perdamaian</td>';
				echo '<td>'.$this->tanggalhelper->convertDayDate($row->tgl_kesepakatan_perdamaian).'</td>';
				echo '</tr>';
			}
			if(!empty($row->akta_perdamaian)){
				echo '<tr>';
				echo '<td id="first-child">Tgl Akta Perdamaian</td>';
				echo '<td>'.$this->tanggalhelper->convertDayDate($row->akta_perdamaian).'</td>';
				echo '</tr>';
			}
			if($this->authorization->HasRuleHakimPanitera($idperkara)){
				if($con==$jmldata && $edit){
					echo '<tr><td id="first-child">Dokumen Template</td>';
					echo '<td>';                        
					echo '<span class="custom-dropdown custom-dropdown--emerald">';
					echo '<select onchange="pilih_cetak_template(this)" style="width:250px;z-index:99999" class="custom-dropdown__select custom-dropdown__select--white">';
					echo '<option value="1">Pilih Template Dokumen </option>';					
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_08">Blanko Resume Perkara</option>';
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_09">Kesepakatan Perdamaian Seluruhnya</option>'; 
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_10">Kesepakatan Perdamaian Sebagian Pihak/Subjek</option>';                                                  
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_11">Kesepakatan Perdamaian Sebagian Tuntutan Hukum/Objek</option>';   
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_12">Pernyataan Para Pihak Yang Diwakili Oleh Kuasa Hukum Tentang Persetujuan Atas Kesepakatan Perdamaian</option>';
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_16">Laporan Mediator Kepada Hakim Pemeriksa Perkara Tentang Hasil Mediasi</option>';
						echo '<option value="'.base_url('c_template_mediasi').'/cetak/'.$enc.'/I_17">Pernyataan Para Pihak Tentang Hasil Mediasi</option>';						
					echo '</select>';
					echo '</span>';
					echo '<td></tr>';
				}
			}
			echo'<tr>';
			echo'<td id="first-child">Keterangan</td>';
			echo'<td colspan="2">';
				if(!empty($row->catatan_mediasi)){ 
					echo $row->catatan_mediasi;
				}else { 
					echo "-"; 
				}
			echo'</td>';
			echo'</tr>';
			echo'<tr>';
			echo'<td colspan="3" style="height:30px;"></td></tr>';
			$con++;
        }
	echo'</tbody>';
	echo'</table>';
    echo'</div>';
}else{
    echo '<tr><td colspan="8">Perkara ini tidak melakukan mediasi</td></tr>';
}
if (!empty($hasil_med) && ($hasil_med==='T'||$hasil_med==='D')){
    $urtperproses=$con;
    echo'<table id="infoPerkara" style="font-size:14px;width:100%;">';
    if(($this->session->userdata('idgroup')==1 OR $this->session->userdata('idgroup')==10 OR $this->session->userdata('idgroup')==20 OR $this->session->userdata('idgroup')==500) AND $this->authorization->HasRuleHakimPanitera($idperkara)){
        echo'<tr>';
		echo'<td style="text-align:center">[ <a href="#" onClick="popup_form(\''.base_url('add_info_mediasi/'.$enc.'/2/'.$urtperproses).'\')">Tambah Mediasi Pada Tahap Pemeriksaan Perkara</a> ]</td>';
        echo'</tr>';
    }
    echo'</table>';
}
?>
<script type="text/javascript">
	closeLoading();
	function pilih_cetak_mediasi(linknya){
		var x =linknya.value;
        if (linknya.value!=1) {
            if (x.match(/I_07.*/)) {
                window.open(linknya.value,'_self');
            }else{
                popup_form(linknya.value);
            }
            $("#cetak_mediasi").val(-1);
        }
    }
    
    function pilih_cetak_template(linknya){      
		if (linknya.value!=1) {
			window.open(linknya.value,'_self');
        }
    }
</script>
